%define major		2
%define libname		%mklibname wacom %{major}
%define develname	%mklibname wacom -d


Name:           libwacom
Version:        0.24
Release:        %mkrel 1
Summary:        Tablet Information Client Library
Group:          System/Libraries
License:        MIT
URL:            http://linuxwacom.sourceforge.net
Source0:        http://prdownloads.sourceforge.net/linuxwacom/%{name}/%{name}-%{version}.tar.xz
Source1:        libwacom.rules
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool
BuildRequires: doxygen
BuildRequires: lib64atk1.0-devel
BuildRequires: lib64cairo-devel
BuildRequires: lib64gdk_pixbuf2.0_0-devel
BuildRequires: lib64glib2.0-devel
BuildRequires: lib64gudev1.0-devel
BuildRequires: lib64pango1.0-devel
BuildRequires: lib64rsvg2-devel
BuildRequires: lib64x11-devel
BuildRequires: lib64xml2-devel

%description
%{name} is a library that provides information about Wacom tablets
and tools. This information can then be used by drivers or applications
to tweak the UI or general settings to match the physical tablet.

#-----------------------------------------------------------

%package -n %{libname}
Summary:	A library to identify wacom tablets
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}

%description -n %{libname}
libwacom is a library to identify wacom tablets and their model-specific
features. It provides easy access to information such as "is this a built-in
on-screen tablet", "what is the size of this model", etc.

#-----------------------------------------------------------

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/X11
Requires:	%{libname}
Provides:	%{name}-devel

%description -n %{develname}
Development files for %{name}.

#-----------------------------------------------------------

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install

%makeinstall_std
mkdir -p %{buildroot}/%{_libdir}/udev/rules.d
install -p -m 644 %SOURCE1 %{buildroot}/%{_libdir}/udev/rules.d/65-libwacom.rules

rm -f %{buildroot}%{_libdir}/*.la


%files
%{_datadir}/libwacom
%{_libdir}/udev/rules.d/65-libwacom.rules

%files -n %{libname}
%{_libdir}/*.so.%{major}*
%_bindir/libwacom-list-local-devices

%files -n %{develname}
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc


%changelog
* Fri Mar 24 2017 bb2 <bb2> - 0.24-1pclos2017
- new version
